2021-01-25 15:24 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002379Frama-CKernel > libcpublic2018-11-30 10:07
Reportermadroach 
Assigned Tomaroneze 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformanyOSOpenBSDOS Version6.3
Product Version 
Target VersionFixed in VersionFrama-C 18-Argon 
Summary0002379: FE_* API is available on OpenBSD
Descriptionplease include attached patch.

TagsNo tags attached.
Attached Files
  • ? file icon patch-src_libraries_utils_c_bindings_c (517 bytes) 2018-06-18 16:55 -
    $OpenBSD$
    
    Index: src/libraries/utils/c_bindings.c
    --- src/libraries/utils/c_bindings.c.orig
    +++ src/libraries/utils/c_bindings.c
    @@ -35,11 +35,12 @@
     #include <unistd.h>
     
     // Some BSD flavors do not implement all of C99
    -#if defined(__OpenBSD__) || defined(__NetBSD__) 
    +#if defined(__NetBSD__) 
     # include <ieeefp.h>
     # define FE_DOWNWARD FP_RM
     # define FE_UPWARD FP_RP
     # define FE_TONEAREST FP_RN
    +# define FE_TOWARDZERO FP_RZ
     # define fegetround()	fpgetround()
     # define fesetround(RM)	fpsetround(RM)
     #else 
    
    ? file icon patch-src_libraries_utils_c_bindings_c (517 bytes) 2018-06-18 16:55 +

-Relationships
+Relationships

-Notes

~0006613

maroneze (administrator)

I confirm that on OpenBSD (tested with 6.3) Frama-C 17 does not compile without the patch, but it does when patched.

Thanks for the report and the patch, it will be integrated in the next release.

~0006672

maroneze (administrator)

Fix committed, will be present in Frama-C 18 (Argon).
+Notes

-Issue History
Date Modified Username Field Change
2018-06-18 16:55 madroach New Issue
2018-06-18 16:55 madroach File Added: patch-src_libraries_utils_c_bindings_c
2018-07-11 15:31 signoles Assigned To => maroneze
2018-07-11 15:31 signoles Status new => assigned
2018-07-11 15:31 signoles Category Kernel => Kernel > libc
2018-07-11 15:31 signoles Description Updated View Revisions
2018-07-25 15:02 maroneze Note Added: 0006613
2018-07-25 15:02 maroneze Status assigned => confirmed
2018-10-29 15:16 maroneze Note Added: 0006672
2018-10-29 15:16 maroneze Status confirmed => resolved
2018-10-29 15:16 maroneze Fixed in Version => Frama-C 18-Argon
2018-10-29 15:16 maroneze Resolution open => fixed
2018-11-30 10:07 signoles Status resolved => closed
+Issue History